---
inputType: "CA10__CaGoogleGceInstance__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaGoogleGceInstance__c/object.extracts.yaml
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The instance is created by GKE."
    check:
      STARTS_WITH:
        arg:
          EXTRACT: "Name"
        prefix:
          TEXT: 'gke-'
  - status: "INCOMPLIANT"
    currentStateMessage: "IP forwarding is enabled on the instance."
    remediationMessage: "Disable IP forwarding on the instance."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__ipForwarding__c"
        right:
          BOOLEAN: true
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "IP forwarding is not enabled on the instance."